# Changelog

All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/)
and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

## [v2.0.1](https://github.com/es-shims/RegExp.escape/compare/v2.0.0...v2.0.1) - 2024-07-08

### Commits

- [meta] use `npmignore` [`f1eaf8c`](https://github.com/es-shims/RegExp.escape/commit/f1eaf8c05d8907359331247cd071054d0d17072f)
- [meta] add `exports` [`5439125`](https://github.com/es-shims/RegExp.escape/commit/543912584e5cdc59ce399d0b3a523b4de17b359c)

## [v2.0.0](https://github.com/es-shims/RegExp.escape/compare/v1.1.0...v2.0.0) - 2024-07-08

### Commits

- [Breaking] adapt to latest spec changes [`0674df4`](https://github.com/es-shims/RegExp.escape/commit/0674df4cd040934147e9981d7b549fd0c7ab5720)
- [Breaking] adapt to latest spec changes [`e73ec2d`](https://github.com/es-shims/RegExp.escape/commit/e73ec2d8a4e13241ab1b6579601a4b7f046a2e3a)
- [meta] update gitignore [`7d581a5`](https://github.com/es-shims/RegExp.escape/commit/7d581a56145c3a5d74814ab51569aaed7f9392cb)
- [meta] update URLs [`b1121ed`](https://github.com/es-shims/RegExp.escape/commit/b1121edf1345e238617f49861790956e7a8b79be)
- [Tests] migrate from travis to github actions [`a16646b`](https://github.com/es-shims/RegExp.escape/commit/a16646be743a2b9c126507e8b335a2e856ffbd5c)
- [Refactor] update spec to match proposal [`a0d4390`](https://github.com/es-shims/RegExp.escape/commit/a0d43907fe52b950de016b3765f5591766388468)
- [Tests] refactor the tests to match the actual API - that the output can be used in a regex - not hardcoded escape-checking [`08cfc78`](https://github.com/es-shims/RegExp.escape/commit/08cfc789c76f623607280a6668c5d762fc77ebdf)
- [readme] fix badges [`5655afd`](https://github.com/es-shims/RegExp.escape/commit/5655afdd65aa8d91c74d364087f14c9139beadf2)
- [Tests] use `nyc` for coverage [`05c0125`](https://github.com/es-shims/RegExp.escape/commit/05c0125f9c5ea7bd435d361de58cebdb1c14c494)
- [Dev Deps] update `@es-shims/api`, `@ljharb/eslint-config`, `auto-changelog`, `es5-shim`, `es6-shim`, `eslint`, `foreach`, `safe-publish-latest`, `tape` [`6f46f80`](https://github.com/es-shims/RegExp.escape/commit/6f46f8060eda44d11f9f227a7cf79eb08291b2fc)
- [actions] remove redundant finisher [`b341478`](https://github.com/es-shims/RegExp.escape/commit/b3414780f70e74ade845261430aa428462759d16)
- [Deps] update `define-properties`, `es-abstract`; add `call-bind` [`612e7bd`](https://github.com/es-shims/RegExp.escape/commit/612e7bd3c29ff4070dfff0ae1b101d7d86b643dc)
- [Dev Deps] update `aud`, `auto-changelog`, `tape` [`d04506e`](https://github.com/es-shims/RegExp.escape/commit/d04506e564e8c1a315986bcfbc06b1b6f31a6bca)
- [Deps] update `call-bind`, `es-abstract`, `safe-regex-test` [`d2c2f3f`](https://github.com/es-shims/RegExp.escape/commit/d2c2f3f5e2d5f2f8e91d208ad3a364c0a874ab08)
- [Dev Deps] update `@es-shims/api`, `@ljharb/eslint-config`, `aud`, `es6-shim`, `tape` [`ba9ab22`](https://github.com/es-shims/RegExp.escape/commit/ba9ab2287df3381e7001875c5eb8479db7289526)
- [Dev Deps] update `@es-shims/api`, `@ljharb/eslint-config`, `aud`, `es6-shim`, `tape` [`44d24e8`](https://github.com/es-shims/RegExp.escape/commit/44d24e8d21812c6583a1253e9277742d6c9c0b92)
- [Dev Deps] update `@ljharb/eslint-config`, `object-inspect`, `tape` [`e7408d5`](https://github.com/es-shims/RegExp.escape/commit/e7408d54af352c5ed09995f592a993c6676e0458)
- [Dev Deps] update `@es-shims/api`, `aud`, `tape` [`78c5e8b`](https://github.com/es-shims/RegExp.escape/commit/78c5e8b48c1c85c6a0f1d19c8b2fc28c10824fa3)
- [meta] use `prepublishOnly` [`902a0e6`](https://github.com/es-shims/RegExp.escape/commit/902a0e68460d8b70690d199dd19303716ecda8f3)
- [Deps] update `call-bind`, `es-abstract` [`854a367`](https://github.com/es-shims/RegExp.escape/commit/854a3674abce957d036b1befd9980b2329a68da7)
- [Deps] update `define-properties`, `es-abstract` [`6ffcf6a`](https://github.com/es-shims/RegExp.escape/commit/6ffcf6a25b1e86c6117a94c3f7441de4211ef37b)
- [Tests] use `for-each` instead of `foreach` [`8e7ab04`](https://github.com/es-shims/RegExp.escape/commit/8e7ab04711e6ee2609f99a785f40cd6391f42c59)
- [Deps] update `es-abstract` [`e661afa`](https://github.com/es-shims/RegExp.escape/commit/e661afa82416733cb5e41e089f944514819efa98)
- [Deps] update `define-properties`, `es-abstract` [`ed32f79`](https://github.com/es-shims/RegExp.escape/commit/ed32f79d4306a182d7c83ae325c76432d422e55b)
- [Tests] add an additional test case [`4485ea0`](https://github.com/es-shims/RegExp.escape/commit/4485ea0624092f88c98a08906bf3ca00c8fb9c6e)
- [Dev Deps] update `tape` [`c06e33d`](https://github.com/es-shims/RegExp.escape/commit/c06e33d33e6e7b65992af03cca89373485e706a2)
- [Dev Deps] update `tape` [`7b439d3`](https://github.com/es-shims/RegExp.escape/commit/7b439d3e30dab6bdef69e9affb6d5d383a2bbde1)

## [v1.1.0](https://github.com/es-shims/RegExp.escape/compare/v1.0.2...v1.1.0) - 2020-01-13

### Commits

- [Tests] use shared travis-ci configs [`24df4cf`](https://github.com/es-shims/RegExp.escape/commit/24df4cf04cd2efdf24474130108af379ca09c6c1)
- [Tests] up to `node` `v13.0`, `v12.13`, `v11.15`, `v10.17`, `v9.11`, `v8.16`, `v7.10`, `v6.17`, `v5.12`, `v4.9`, `v3.3`; use `nvm install-latest-npm` [`638b5ae`](https://github.com/es-shims/RegExp.escape/commit/638b5ae86f361e1169d32ac7420877e7e47864a2)
- Use my personal shared `eslint` config. [`a699b4d`](https://github.com/es-shims/RegExp.escape/commit/a699b4d9c786f80501b3b4fa5d50af932760bc3e)
- [Tests] remove `jscs` [`f030561`](https://github.com/es-shims/RegExp.escape/commit/f030561378123aba4b134b41dfc383793c472491)
- [New] convert to `es-shims/api` spec [`93ec310`](https://github.com/es-shims/RegExp.escape/commit/93ec310f8a9a867589f9e54357670413a692fb81)
- [meta] remove unused Makefile and associated utilities [`19933b9`](https://github.com/es-shims/RegExp.escape/commit/19933b90744c4d3fb3b745668a40784b43cd1515)
- [meta] add `auto-changelog` [`05eec97`](https://github.com/es-shims/RegExp.escape/commit/05eec972ac24bbcf7fbb9a5bd1b9c5610b2e9e57)
- [Dev Deps] update `eslint`, `@ljharb/eslint-config`, `covert`, `es5-shim`, `es6-shim`, `replace`, `semver`, `tape`; add `safe-publish-latest` [`b12d1e8`](https://github.com/es-shims/RegExp.escape/commit/b12d1e8b13551d2faebdfa65d859d0746803ea5a)
- Update `es-abstract`, `jscs`, `eslint`, `@ljharb/eslint-config`, `es6-shim` [`5faba36`](https://github.com/es-shims/RegExp.escape/commit/5faba36643ae7c8384ba010bf612ccb3d848420a)
- [readme] fix repo URLs, remove testling [`61a33b8`](https://github.com/es-shims/RegExp.escape/commit/61a33b8e83e04024a0b34f5f3b67e350a5d42a6c)
- [actions] add automatic rebasing / merge commit blocking [`334a03b`](https://github.com/es-shims/RegExp.escape/commit/334a03b79abbf818b360fe9fe4fc08ca7c2607a9)
- [Refactor] update to latest `es-abstract` [`fcf24eb`](https://github.com/es-shims/RegExp.escape/commit/fcf24ebbda55ca99593bd5bd0e81ef3833f838ac)
- [Dev Deps] update `eslint`, `@ljharb/eslint-config`, `tape`, `safe-publish-latest`, `es6-shim` [`47ba01a`](https://github.com/es-shims/RegExp.escape/commit/47ba01ab7db389121c7c52b7355a7697d04efb16)
- [Dev Deps] update `tape`, `jscs` [`f92aee5`](https://github.com/es-shims/RegExp.escape/commit/f92aee56b4043d2734e429ca2af5b8a0dc65b13a)
- [Tests] use `npx aud` instead of `nsp` or `npm audit` with hoops [`5680ef3`](https://github.com/es-shims/RegExp.escape/commit/5680ef3bd51c93448d86fa718feb0ab08cb959fa)
- [Deps] update `es-abstract`, `define-properties`, `function-bind` [`0c39739`](https://github.com/es-shims/RegExp.escape/commit/0c39739448de5494fd7b4bb254e8269e204c9cb1)
- Only apps should have lockfiles [`8fe4a32`](https://github.com/es-shims/RegExp.escape/commit/8fe4a3205edbe9673620716e05120833239cb90f)
- [Deps] update `es-abstract` [`512c2c4`](https://github.com/es-shims/RegExp.escape/commit/512c2c48c215ce357b4bcfd149a9bde4f900e142)
- [Dev Deps] update `eslint`, `@ljharb/eslint-config` [`5ffc8a5`](https://github.com/es-shims/RegExp.escape/commit/5ffc8a50bf6e247e938113bef30303a792c99725)
- Update `tape`, `eslint` [`f69dba6`](https://github.com/es-shims/RegExp.escape/commit/f69dba6bee9b087cd7d678f6ac23f9e7a5c62d95)
- [meta] add `funding` field [`ffac18c`](https://github.com/es-shims/RegExp.escape/commit/ffac18c84e2445f24eb646f3d7f29fc11decf2eb)
- [Fix] properly escape things [`e2581b1`](https://github.com/es-shims/RegExp.escape/commit/e2581b1f1daad2aa1de61fb46fd39d6b11dd93bb)
- [Dev Deps] update `tape` [`597a8d4`](https://github.com/es-shims/RegExp.escape/commit/597a8d45469db7a7ff815f22cf1054baacac28c1)
- [Deps] Update `es-abstract` [`dac44cb`](https://github.com/es-shims/RegExp.escape/commit/dac44cbe8d7a051f4aacf2533fcd205b36fe87cd)
- Switch from vb.teelaun.ch to versionbadg.es for the npm version badge SVG. [`3f959f8`](https://github.com/es-shims/RegExp.escape/commit/3f959f8ff61d599f375a214a977dfd1a694f53c9)
- Update `tape` [`06cb591`](https://github.com/es-shims/RegExp.escape/commit/06cb5912bc673a0941a0485b8efe75ee0ec31e56)
- Test on `io.js` `v2.5` [`c496a2f`](https://github.com/es-shims/RegExp.escape/commit/c496a2f452af125813cf94c46808b332212611d9)
- Test on `io.js` `v3.0` [`fae70ec`](https://github.com/es-shims/RegExp.escape/commit/fae70ecd11e559d1867c0e370e1b21b852cd9f51)

## [v1.0.2](https://github.com/es-shims/RegExp.escape/compare/v1.0.1...v1.0.2) - 2015-07-21

### Commits

- [Dev Deps] Update `eslint`, `tape`, `nsp`, `semver`, `es5-shim`, `es6-shim` [`32d1e47`](https://github.com/es-shims/RegExp.escape/commit/32d1e4735fb5cdc1fc916a4bfad02250ff6dbedd)
- Refactor to use a static regex and `String#replace`. [`2e1f506`](https://github.com/es-shims/RegExp.escape/commit/2e1f5065b46a5ffb49d2ab7070caa142935a6ac7)
- Update `eslint`, `es6-shim` [`b647aca`](https://github.com/es-shims/RegExp.escape/commit/b647aca9bcde115f0867453d1a25a46d3f2b08d9)
- Ensure `escape` stringifies. [`992088c`](https://github.com/es-shims/RegExp.escape/commit/992088cf9aa4b8848502b3e9f2ba5eb2fd98ea71)
- Test on `io.js` `v2.4` [`e06c476`](https://github.com/es-shims/RegExp.escape/commit/e06c47672dadfa8ed9679d11425c39ad699d0d56)
- [Deps] Update `define-properties` [`55ae7a9`](https://github.com/es-shims/RegExp.escape/commit/55ae7a9e85695f77b87d2ecbf72af116382aec14)

## [v1.0.1](https://github.com/es-shims/RegExp.escape/compare/v1.0.0...v1.0.1) - 2015-06-13

### Commits

- Fix a typo in the README. [`28445b5`](https://github.com/es-shims/RegExp.escape/commit/28445b505d22ed74deb897e669e88c079462f09c)

## v1.0.0 - 2015-06-13

### Commits

- Dotfiles [`fcac847`](https://github.com/es-shims/RegExp.escape/commit/fcac84716375d94fab18ee7aa3013105a21d9197)
- package.json [`5d8e907`](https://github.com/es-shims/RegExp.escape/commit/5d8e907c250ae5e43342539541c418132978f9fe)
- `make release` [`560d782`](https://github.com/es-shims/RegExp.escape/commit/560d782e0d8db4e93a9ad73fa5e4788252e9d376)
- Tests [`2756314`](https://github.com/es-shims/RegExp.escape/commit/27563149c415b88d821ee7a34b132fafa38d6cce)
- Initial commit [`26e22f1`](https://github.com/es-shims/RegExp.escape/commit/26e22f11ef7e79fe61bd4c48afb00e12d8ef9a88)
- Read me [`b4051e7`](https://github.com/es-shims/RegExp.escape/commit/b4051e7ffee2f139fdf0da2596bd022ff592dbe1)
- Implementation [`3e2da83`](https://github.com/es-shims/RegExp.escape/commit/3e2da835769147a000f0110b5a5415974e70f9a2)
